using System;
using System.Xml.Serialization;
using System.Collections.Generic;

namespace Top.Api.Response
{
    /// <summary>
    /// TbkOptimusTouMaterialIdsGetResponse.
    /// </summary>
    public class TbkOptimusTouMaterialIdsGetResponse : TopResponse
    {
        /// <summary>
        /// 返回结果
        /// </summary>
        [XmlArray("data")]
        [XmlArrayItem("tou_materials")]
        public List<TouMaterialsDomain> Data { get; set; }

        /// <summary>
        /// 结果描述信息
        /// </summary>
        [XmlElement("result_msg")]
        public string ResultMsg { get; set; }

        /// <summary>
        /// 物料id总数
        /// </summary>
        [XmlElement("total_count")]
        public long TotalCount { get; set; }

	/// <summary>
/// TouMaterialsDomain Data Structure.
/// </summary>
[Serializable]

public class TouMaterialsDomain : TopObject
{
	        /// <summary>
	        /// 结束时间，Unix时间戳
	        /// </summary>
	        [XmlElement("end_time")]
	        public long EndTime { get; set; }
	
	        /// <summary>
	        /// 物料id
	        /// </summary>
	        [XmlElement("material_id")]
	        public long MaterialId { get; set; }
	
	        /// <summary>
	        /// 物料集合名称
	        /// </summary>
	        [XmlElement("material_name")]
	        public string MaterialName { get; set; }
	
	        /// <summary>
	        /// 物料类型，1: 商品；2:权益
	        /// </summary>
	        [XmlElement("material_type")]
	        public long MaterialType { get; set; }
	
	        /// <summary>
	        /// 开始时间，Unix时间戳
	        /// </summary>
	        [XmlElement("start_time")]
	        public long StartTime { get; set; }
	
	        /// <summary>
	        /// 物料主题类型, 1促销活动;2热门主题;3精选榜单;4行业频道等;5其他
	        /// </summary>
	        [XmlElement("subject")]
	        public long Subject { get; set; }
}

    }
}
